CVE-2020-6079

NameCVE-2020-6079
DescriptionAn exploitable denial-of-service vulnerability exists in the resource allocation handling of Videolabs libmicrodns 0.1.0. When encountering errors while parsing mDNS messages, some allocated data is not freed, possibly leading to a denial-of-service condition via resource exhaustion. An attacker can send one mDNS message repeatedly to trigger this vulnerability through decoding of the domain name performed by rr_decode.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4671-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmicrodns (PTS)stretch0.0.3-3vulnerable
vlc (PTS)jessie (security), jessie2.2.7-1~deb8u1vulnerable
stretch3.0.8-0+deb9u1vulnerable
stretch (security)3.0.10-0+deb9u1fixed
buster, buster (security)3.0.10-0+deb10u1fixed
bullseye, sid3.0.10-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmicrodnssource(unstable)(unfixed)
vlcsource(unstable)3.0.8-4
vlcsourcebuster3.0.10-0+deb10u1DSA-4671-1
vlcsourcejessie(unfixed)end-of-life
vlcsourcestretch3.0.10-0+deb9u1DSA-4671-1

Notes

[stretch] - libmicrodns <ignored> (Will be removed in next point release)
[jessie] - vlc <end-of-life> (Not supported in jessie LTS)
https://talosintelligence.com/vulnerability_reports/TALOS-2020-1002
These were addressed on the source level in 3.0.9, but 3.0.8-4 disables the plugin

Search for package or bug name: Reporting problems